Page MenuHomePhabricator

Edit context menu not working from articles
Closed, ResolvedPublicBUG REPORT

Description

How many times were you able to reproduce it?

10/10 on device

Steps to reproduce

  1. Open an editable article
  2. Select a range of text to edit
  3. Tap edit in the context menu that appears

Expected results

Section editor appears, scrolls to the selection, and the selected text is highlighted

Actual results

Section editor appears, scrolls to the area of the selection, selected text is not highlighted

Environments observed

App version: 6.5.0 1700
OS versions: 13.2.3
Device model: X
Device language: en

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 10 2019, 11:56 AM
JoeWalsh renamed this task from Edit context menu not working to Edit context menu not working from articles.Dec 10 2019, 6:26 PM
JMinor triaged this task as Medium priority.Dec 10 2019, 8:37 PM
JMinor moved this task from Needs Triage to Bug Backlog on the Wikipedia-iOS-App-Backlog board.
JMinor added a project: ios-app-v6.5.1.
JoeWalsh claimed this task.Dec 11 2019, 2:35 PM
JoeWalsh moved this task from Ready for Development to Doing on the ios-app-v6.5.1 board.
ABorbaWMF added a subscriber: ABorbaWMF.

Looks good on 6.5.1 (1705)

cmadeo closed this task as Resolved.Jan 14 2020, 9:12 PM
cmadeo added a subscriber: cmadeo.

Thanks for finding and fixing this @JoeWalsh !